
 
body 
{
	overflow-y:initial!important;
}

.grid-content{	
/* 	padding: 1rem; */
    display: flex;
    direction: ltr;
    background-color: var(--white-color-30);
    padding: 1rem;
     height: calc(100vh - 5rem); 
/*     height: calc(100vh - 59px - 1rem); */
/*    height: calc(100vh - 59px - 2.2rem);*/
    border-radius: 13px;
/*     border-bottom: solid 1px #B9BEC4; */
    
/*     padding: 1rem; */ 
}
.tui-grid-cell-header{
	background-color: #F0F0F0 !important;	
}
.grid-section{
    display: flex;
    flex-direction: column;
    gap: 1rem;
}	

.col-label { 
	font-weight: 400; 
	white-space: nowrap; 
}

.swal2-container.swal2-center.swal2-backdrop-show {
	overflow-y:hidden!important;
	opacity:1!important;
}

/* 추가 */
#add_button,
#in_user_add,
#out_user_add,
#item_add {
	background: #377BF6 !important;
}

/* 삭제 */
#del_button,
#del_button_1,
#del_button_2,
#del_button_3 {
	background: #EA3D2F !important;
}

/* 저장 */
#save_button,
#save_btn {
	background: #30A84F !important;
	border-color: #30A84F !important;
}

/* 검색 */
#search_button {
	background: #293042 !important;
}


/* 그리드 단일페이지 속성*/
 .tui-grid-container{
    font-family:  Pretendard!important;
} 

.tui-grid-content-area {
	border-bottom: 1px solid #e5e5ec!important;
}

.tui-grid-border-line-bottom {
	display :none;
}

/* 첫번째줄 : odd */
.tui-grid-row-odd .tui-grid-cell-editable, .tui-grid-row-odd .tui-grid-cell { 
	background: #fff; 
} 
/* 두번째줄 : even */
.tui-grid-row-even .tui-grid-cell-editable, .tui-grid-row-even .tui-grid-cell { 
	background: #f5f5f7; 
}

/* 개별 그리드 스타일 */	
.grid-header {
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding-bottom: 5px;
	height: 32px;
	/* border-bottom: 2px solid #ddd; */
}

.grid-header h5 {
	margin: 0;
	font-size: 16px;
}

.grid-header .btn-group {
	display: flex;
	gap: 5px;
}

.grid-item {
/* 	height: 100% !important; */
	height: calc(100% - 40px) !important;
	min-height: 200px; 
	display: flex;
	flex-direction: column;
	justify-content : space-between;
	     overflow: hidden; 
}

.paging-grid-item {
	height: calc(100% - 100px) !important; 
	min-height: 200px; /* 그리드 높이 고정 */
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	/*     overflow: hidden; */
}

.half-paging-grid-item {
	height: calc(50% - 50px) !important; 
	min-height: 200px; /* 그리드 높이 고정 */
	display: flex;
	flex-direction: column;
	justify-content: space-between;
}

.split-grid-item {
	height: calc(100% - 40px);
	display: flex;
	flex-direction: column;
/* 	justify-content: space-between; */
}

.half-card-wrapper {
	flex: 1 1 auto;
	display: flex;
	flex-direction: column;
	gap: 1rem;
}
.half-custom-height {
	flex: 1 1 0;
	display: flex;
	flex-direction: column;
	overflow: hidden;
}
.half-card {
	display: flex;
	flex-direction: column;
	height: 100%;
	box-shadow: 0 0 .875rem 0 rgba(41,48,66,.08) !important;
	position: relative;
	z-index: 1;
}
.half-card-body {
	flex: 1 1 auto;
	overflow: hidden;
	position: relative;
}
.half-card-height{
	height: calc(100% - 4rem );
}
.grid-2-item{
	height: calc(50% - 24px); 
	display: flex;
	flex-direction: column;
/* 	justify-content: space-between; */
	min-height: 200px;
}

.multiline-cell {
	white-space: pre-line;
}
.btn-icon-custom{
    padding-top: 0.25rem !important;
    padding-right: 0.5rem !important;
}
@media screen and (max-height: 800px) {
/*	.grid-item{*/
/*	  	height: calc(100% - 4.5rem) !important;*/
/*	}*/
	.half-grid-item{
	  	height: calc(65vh - 4.5rem) !important;
	}
	.paging-grid-item{
		height: calc(100% - 6.0rem) !important;
	}
	.half-paging-grid-item {
		height: calc(65vh - 4.5rem) !important;
	}	
	.mb-of{
		overflow-y:auto 
	}
	
	.mb-of::-webkit-scrollbar, .of-auto::-webkit-scrollbar {
 		display: none;          /* Chrome, Safari용 스크롤바 숨김 */
	}
}
